%define name pygeminfo
%define version 0.0.1
%define unmangled_version 0.0.1
%define release 1

Summary: A Python package that displays several information about a RubyGem.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Taiwo Kareem <taiwo.kareem36@gmail.com>
Url: http://github.com/tushortz/pygeminfo

%description
.. -*- restructuredtext -*-
     
Description
===========

Pygeminfo is a python package for displaying statistics about Rubygems. Its equivalent is the Rubygem called `geminfo`. It allows you to see several information about a Gem like *Name, Author, UserID, Secure Hash Algorithm, Key, Total downloads, Latest version, total gems owned by author, gem's release date* etc.

MODULES --> gems
-----------------

Contains a class **Stats** that takes one argument **Gem name** and has seventeen methods to display several information.

Stats
^^^^^^

* name() --> returns gem name.
* authors() --> return gem's Author names.
* total() --> return gem's total download for all versions.
* latest() --> return Gem's total download for latest version.
* latestversion() --> returns gem's latest version.
* info() --> returns gem's description.
* licenses() --> returns gem's licenses.
* metadata() --> returns gem's metadata.
* sha() --> returns gem's Secure Hash Algoruthm 256 Checksum.
* projectURL() --> returns gem's project URL.
* gemURL() --> returns gem's URL.
* homepage() --> returns gem's dedicated website.
* wikiURL() --> returns gem's wiki URL.
* docURL() --> returns gem's documentation URL.
* mailURL() --> returns gem's mailing list URL.
* sourceURL() --> returns gem's source-code URL.
* bugURL() --> returns gem's bug tracking URL.

as well as seven other methods.

Methods
^^^^^^^^

.. code::

	# Argument is gem's name
	gemversions("eventsims") 

	# Argument is username or ID
	usergems("pixeltrix")

	# Argument is gem's name
	owner("rails")

	# Argument is gem's name, optional--> (page number , amount to show)
	search("gem")

	# Optional --> (amount to show)
	latestgems(5)

	# Optional --> (amount to show)
	updatedgems(3)

	# No optional argument
	downloads()

Importing
"""""""""

.. code::

	from pygeminfo.gems import * 




help on using this package is included in the `examples folder`.

For more help information please see examples in the package or checkout its `documentation <http://www.pythonhosted.org/pygeminfo>`_ at http://www.pythonhosted.org/pygeminfo/
	
Requirements
------------

* Any version of python

Download
---------

Download and install using:

.. code::

   pip install pygeminfo

   

Issues
-------

There are some `unicode encoding` issues on python 2 but it works fine on Python 3. It also works on Python 2 but sometimes, the errors arise so its better and advisable to use it on Python 3. Furthermore, you may need to do

.. code::
   
   pip install json 
   pip install requests


if it doesn't come with your python package



Acknowledgements
----------------

**All glory belongs to God and praise be to his holy name.**


Contact
-------

If further information or help is needed, feel free to contact me on my email at taiwo.kareem36@gmail.com
This is still in a test mode please if any error or bugs is found, feel free to contact the developer and give details

%prep
%setup -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
